Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.fs
Class FSCmd

    java.lang.Object
      org.basex.fs.FSCmd

Direct Known Subclasses:
  Cat, Cd, Cp, Du, Exec, Help, Locate, Ls, Mkdir, Pwd, Rm, Touch

    public abstract class FSCmd

extends java.lang.Object

Defines common methods for file system commands. The implementing class names are supposed to equal the command names (case sensitivity doesn't matter)

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Hannes Schwarz - Hannes.Schwarz@gmail.com

Constructor Summary
`FSCmd()`

Method Summary
`abstract void` | `args(java.lang.String args)` Checks the command line arguments.
`void` | `context(Context ctx)` Sets the query context.
`abstract void` | `exec(PrintOutput out)` Executes the command..
`static FSCmd` | `get(Commands.CmdFS cmd)` Returns an instance for the specified command.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSCmd

    public FSCmd()

Method Detail

### get

    public static FSCmd get(Commands.CmdFS cmd)

  Returns an instance for the specified command.

  Parameters:
    `cmd` - command
  Returns:
    command

### context

    public final void context(Context ctx)

  Sets the query context.

  Parameters:
    `ctx` - data context

### args

    public abstract void args(java.lang.String args)
                       throws FSException

  Checks the command line arguments.

  Parameters:
    `args` - command line arguments
  Throws:
    `FSException` - file system exception

### exec

    public abstract void exec(PrintOutput out)
                       throws java.io.IOException

  Executes the command..

  Parameters:
    `out` - output stream
  Throws:
    `java.io.IOException` - in case of problems with the PrintOutput

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD